Loading...
Searching...
No Matches
OverlapUtil::FramePositionAndNumber Struct Reference

Physical Frame number with its respective position. More...

## Public Member Functions

| FramePositionAndNumber ()
| Default constructor required for vector initialization.
| FramePositionAndNumber (const ImagePosition &pos, const Uint32 &num)
| Constructor.

## Public Attributes

ImagePosition | m_position
| Frame position in space.
Uint32 | m_frameNumber
| Physical frame number (number of frame in DICOM object).

## Detailed Description

Physical Frame number with its respective position.

## Constructor & Destructor Documentation

## FramePositionAndNumber()

OverlapUtil::FramePositionAndNumber::FramePositionAndNumber | ( | const ImagePosition & | pos,
|  | const Uint32 & | num )

inline

Constructor.

Parameters

  pos | Image position
  num | Physical frame number

References m_frameNumber, and m_position.

The documentation for this struct was generated from the following file:

- dcmseg/include/dcmtk/dcmseg/overlaputil.h

Generated on for DCMTK Version 3.7.0 by Doxygen 1.15.0